Bug 971576 - Network drive sidebar duplicate entry / eject icon issue
Network drive sidebar duplicate entry / eject icon issue
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:27 EDT by Christopher Thielen
Modified: 2015-01-09 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 19:05:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 696279 None None None Never

  None (edit)
Description Christopher Thielen 2013-06-06 16:27:39 EDT
Description of problem:

I set up my ownCloud account in Fedora 19 beta and saw the WebDAV share in the left sidebar in Nautilus. I clicked it and it worked, but instead of merely adding an eject icon to that existing entry, it made a _second_ entry representing the connected drive with its own eject icon.

Shouldn't Nautilus merely use the same entry and add the eject icon to it when connected? Why two?

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Have a bookmarked WebDAV entry in Nautilus (I think that's what the ownCloud Account config does?)
2. Connect

Actual results:
Two entries appear in the sidebar, one for the bookmark presumably (the one that's always there) and a new one for the connected share with an eject icon.

Expected results:
The existing entry (the bookmark?) should simply gain an eject icon.

Additional info:
Comment 1 Matthias Clasen 2013-06-07 14:53:57 EDT
This is https://bugzilla.gnome.org/show_bug.cgi?id=696279
Comment 2 Matthias Clasen 2013-06-16 20:57:46 EDT
This has been fixed in the current gvfs update.
Comment 3 Adam Williamson 2013-06-17 00:16:44 EDT
It should not be closed until the update is pushed stable.

Update is in testing: https://admin.fedoraproject.org/updates/FEDORA-2013-10863/gvfs-1.16.3-1.fc19 . Please test and file feedback. Thanks.
Comment 4 mlaverdiere 2013-11-24 10:08:04 EST
I'm on Fedora 20 beta with gvfs 1.18.3 installed and I still see duplicated entries in Files (Nautilus) for my samba shares mounted with cifs, i.e. one under Network and another under Devices.
Comment 5 Fedora End Of Life 2015-01-09 17:39:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Adam Williamson 2015-01-09 19:05:07 EST
Fixed in at least 21 (I think in final 20 too).

Note You need to log in before you can comment on or make changes to this bug.